## PhoshOverview

PhoshOverview — The overview shows running apps and the app grid to launch new applications.

## Functions

GtkWidget * | phosh_overview_new ()
void | phosh_overview_reset ()
void | phosh_overview_focus_app_search ()
gboolean | phosh_overview_has_running_activities ()
gboolean | phosh_overview_handle_search ()
PhoshAppGrid * | phosh_overview_get_app_grid ()

## Signals

void | activity-closed | Run Last
void | activity-launched | Run Last
void | activity-raised | Run Last
void | selection-aborted | Run Last

## Types and Values

#define | PHOSH_TYPE_OVERVIEW
| PhoshOverview

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── PhoshOverview

## Implemented Interfaces

PhoshOverview implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

The PhoshOverview shows running apps (PhoshActivity) and the app grid (PhoshAppGrid) to launch new applications.

## Functions

### phosh_overview_new ()

    GtkWidget *
    phosh_overview_new (void);

### phosh_overview_reset ()

    void
    phosh_overview_reset (PhoshOverview *self);

### phosh_overview_focus_app_search ()

    void
    phosh_overview_focus_app_search (PhoshOverview *self);

### phosh_overview_has_running_activities ()

    gboolean
    phosh_overview_has_running_activities (PhoshOverview *self);

### phosh_overview_handle_search ()

    gboolean
    phosh_overview_handle_search (PhoshOverview *self,
                                  GdkEvent *event);

### phosh_overview_get_app_grid ()

    PhoshAppGrid *
    phosh_overview_get_app_grid (PhoshOverview *self);

## Types and Values

### PHOSH_TYPE_OVERVIEW

    #define PHOSH_TYPE_OVERVIEW (phosh_overview_get_type())

### PhoshOverview

    typedef struct _PhoshOverview PhoshOverview;

## Signal Details

### The `“activity-closed”` signal

    void
    user_function (PhoshOverview *phoshoverview,
                   gpointer       user_data)

Flags: Run Last

### The `“activity-launched”` signal

    void
    user_function (PhoshOverview *phoshoverview,
                   gpointer       user_data)

Flags: Run Last

### The `“activity-raised”` signal

    void
    user_function (PhoshOverview *phoshoverview,
                   gpointer       user_data)

Flags: Run Last

### The `“selection-aborted”` signal

    void
    user_function (PhoshOverview *phoshoverview,
                   gpointer       user_data)

Flags: Run Last